.Toolbar_Container {
  width: 100%;
  height: fit-content;
  min-width: 700px;
  margin-top: 20px;

  position: sticky;
  /* box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1); */
  top: 0;
  z-index: 1000;
}

.Desktop_Toolbar {
  width: 100%;

  height: 60px;
  padding: 5px 15px;
  box-sizing: border-box;

  display: flex;
  align-items: center;
  justify-content: space-between;



  background-color: rgb(241, 223, 193);
  border-radius: 7px;
}

.Mobile_Toolbar {
  display: none;
}

.Toolbar.has-icon {
  justify-content: space-between;

}

.Toolbar_Avatar {

  width: 45px;
  height: 45px;
  border-radius: 50%;
  /* margin-top: 5px; */

}

.Toolbar_Avatar:hover {
  cursor: pointer;
}

.Toolbar_Icon {
  display: flex;
  justify-content: center;
  align-items: center;
}

.Toolbar_Icon i {
  font-size: 45px;
  color: #605e38;

}

.Toolbar_Icon:hover {
  cursor: pointer;
}

.Desktop_Toolbar_Midle {
  display: flex;
  align-items: center;
  justify-content: center;
  margin-left: 30px;
  gap: 1.7em;
}

.Desktop_Toolbar_End {
  display: flex;
  justify-content: center;
  align-items: center;
  height: 100%;
}

.Desktop_Toolbar_End button {
  height: 50px;
  width: 50px;
  background-color: #f1dfc1;
  font-size: 20px;
  padding: 5px;
  border-radius: 50%;
  color: #605e38;
  box-sizing: border-box;
  cursor: pointer;
  border: none;
  /* Tắt viền chính */
  outline: none;
}

.Toolbar_Menu_Line {
  width: 2px;
  height: 90%;
  background-color: #605e38;
  margin: 0 5px;
}

.Desktop_Toolbar_Midle_Icon {
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 10px 10px;
  box-sizing: border-box;
  border-radius: 50%;

}

.Desktop_Toolbar_Midle_Icon_Setting {
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 10px 10px;
  box-sizing: border-box;
  border-radius: 50%;
  cursor: pointer;

}

.Desktop_Toolbar_Midle_Icon_Setting svg {
  width: 35px;
  height: 35px;
  stroke: #605e38 !important;
  stroke-width: 3 ! important;

}

.Desktop_Toolbar_Midle_Icon:hover {
  cursor: pointer;
  background-color: bisque;
}

.Desktop_Toolbar_Midle_Icon svg {
  width: 35px;
  height: 35px;
  stroke-width: 40;
  stroke: #605e38;

  /* hoặc 0.5 nếu muốn mỏng hơn */
}


.Toolbar_Right {
  display: flex;
  align-items: center;
}

.Toolbar_Menu_Dropdown {
  display: none;

}

.Toolbar_Menu_Dropdown.active {
  display: flex;
  flex-direction: column;
  align-items: center;
  position: absolute;
  top: 60px;
  left: 0;
  z-index: 100;
  margin-top: 10px;
  max-height: calc(100vh - 90px);
  width: 300px;

  background-color: #5e5c2c;
  border-radius: 7px;
  padding: 10px 10px 10px 20px;
  box-sizing: border-box;

  overflow: auto;
}

.Toolbar_Menu_Dropdown::-webkit-scrollbar {
  width: 6px;
  height: 6px;
}

.Toolbar_Menu_Dropdown::-webkit-scrollbar-thumb {
  background-color: rgba(0, 0, 0, 0.3);
  border-radius: 3px;
}

.Toolbar_Menu_Dropdown::-webkit-scrollbar-track {
  background: transparent;
}

.Toolbar_Setting_Dropdown {
  display: none;
}

.Toolbar_Setting_Dropdown.active {
  display: flex;
  flex-direction: column;
  position: absolute;
  top: 60px;
  right: 0px;
  z-index: 100;
  margin-top: 10px;
  /* width: 240px; */
  max-height: calc(100vh - 350px);
  background-color: #5e5c2c;
  border-radius: 7px;
  padding: 10px;
  box-sizing: border-box;
  overflow: auto;
}

@media (max-width: 450px) {

  .Toolbar_Container {
    width: 100vw;
    min-width: 0px;
    position: fixed;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
    top: 120px;
    z-index: 1000;
    margin-top: 20px;

  }

  .Desktop_Toolbar {
    display: none;
  }

  .Toolbar_Right {
    display: flex;
    align-items: center;
  }

  .Mobile_Toolbar {
    width: 100vw;
    height: 60px;
    padding: 5px 5px;

    box-sizing: border-box;
    position: relative;
    display: flex;
    align-items: center;
    justify-content: space-between;



    background-color: #f1dfc1;
    border-radius: 7px;
  }

  .Desktop_Toolbar_End button {
    height: 40px;
    width: 40px;
    background-color: #f1dfc1;
    font-size: 18px;
    padding: 5px;
    border-radius: 50%;
    color: #605e38;
    box-sizing: border-box;
    cursor: pointer;
    border: none;
    /* Tắt viền chính */
    outline: none;
  }

  .Toolbar_Avatar {
    width: 45px;
    height: 45px;

  }


  .Toolbar_Back {
    font-size: 34px;
    color: #000;
    margin-top: 5px;
  }

  .Toolbar_Icon {
    font-size: 25px;
    background-color: #605e38;
    border-radius: 0 5px 5px 0;

    position: absolute;
    left: 0;

    top: 70px;
    z-index: 100;
  }

  .Toolbar_Icon.active {
    left: 260px;

  }

  .Toolbar_Icon i {
    font-size: 40px;
    color: #ffffff;
  }

  .Mobile_Toolbar_Midle {
    /*margin-left: 10px;*/
    /*width:  65%;*/
     width: 67%; 
    overflow: auto;
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 0;
  }

  .trp-language-item {
    padding: 5px 5px !important;
  }

  .trp-current-language-item__wrapper {
    padding-right: 0 !important;
  }

  .Mobile_Toolbar_Midle_Icon {
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 10px 10px;
    box-sizing: border-box;
    border-radius: 50%;
    margin-right: 5px;

  }

  .Mobile_Toolbar_Midle_Icon svg {
    width: 35px;
    height: 35px;
    stroke-width: 40;
    stroke: #605e38;
    /* hoặc 0.5 nếu muốn mỏng hơn */
  }

  .Toolbar_Menu_Dropdown {
    display: none;
  }

  .Toolbar_Menu_Dropdown.active {
    display: flex;
    flex-direction: column;
    align-items: center;
    position: absolute;
    top: 50px;
    left: 0px;
    z-index: 100;
    margin-top: 20px;

    width: 260px;
    max-height: calc(100vh - 350px);

    background-color: #605e38;
    border-radius: 0 0 7px 0;
    padding: 10px;
    box-sizing: border-box;
    overflow: auto;
  }

  .Toolbar_Setting_Dropdown {
    display: none;
  }

  .Toolbar_Setting_Dropdown.active {
    display: flex;
    flex-direction: column;
    position: absolute;
    top: 50px;
    right: 0px;
    z-index: 100;
    margin-top: 20px;

    /* width: 240px; */
    max-height: calc(100vh - 350px);
    background-color: #5e5c2c;
    border-radius: 7px 0 0 7px;
    padding: 10px;
    box-sizing: border-box;
    overflow: auto;
  }
}